Subject: [MLS] Welcome Message Extensibility

From: Konrad Kohbrok <[email-masked]>
Date: Sun, 6 Sep 2020 09:04:41 +0200

Hi everyone,

While Version and CipherSuite are on the "top-level" of the Welcome message, the
extensions are buried in the GroupInfo. That makes sense, because their content
might be confidential. However, that means that at least the encryption method
of the Welcome message is not extensible.

I have no particularly strong opinion on this, but if anyone has a use case,
where an extension has to "kick-in" before Welcome message decryption, we might
want an additional extensions field on the top level of the Welcome message.
(We would have to make sure it's authenticated, of course.)

Cheers,
Konrad